function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Figures","2");
A=P.fN("Tables","3");
A=P.fN("Preface","4");
var B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO BusinessConnect SOAP Protocol Documentation","5#30427");
C=B.fN("Other TIBCO Product Documentation","5#33580");
C=B.fN("Third Party Documentation","5#30975");
B=A.fN("Typographical Conventions","6");
B=A.fN("TIBCO Product Documentation and Support Services","7");
C=B.fN("How to Access TIBCO Documentation","7#36083");
C=B.fN("How to Contact TIBCO Support","7#37484");
C=B.fN("How to Join TIBCO Community","7#37506");
A=P.fN("Chapter\u00a01 Introduction to SOAP and TIBCO BusinessConnect SOAP Protocol","8");
B=A.fN("SOAP Overview","9");
B=A.fN("TIBCO BusinessConnect SOAP Protocol Overview","10");
B=A.fN("TIBCO BusinessConnect SOAP Protocol Features","11");
A=P.fN("Chapter\u00a02 Process Flows and Functionalities","12");
B=A.fN("TIBCO BusinessConnect SOAP Protocol Messages","13");
C=B.fN("Private Messages and Processes","13#2510452");
C=B.fN("Public Messages","13#2510506");
B=A.fN("Operation Types and Process Flows","14");
C=B.fN("Notify Operations","14#2510529");
C=B.fN("Synchronous Request-Response Operations","14#2510573");
B=A.fN("Duplicate Message Detection","15");
C=B.fN("Inbound Messages","15#2511610");
C=B.fN("Outbound Messages","15#2511626");
B=A.fN("SOAP Message Security","16");
C=B.fN("Digital Signature and Encryption","16#2512388");
C=B.fN("UsernameToken for Authentication","16#2632179");
B=A.fN("NHIN/esMD Authorization Framework with SAML Assertions","17");
B=A.fN("WS-Addressing","18");
B=A.fN("MTOM","19");
B=A.fN("SOAP Fault","20");
A=P.fN("Chapter\u00a03 Standalone Private Processes Tutorial","21");
B=A.fN("Overview","22");
C=B.fN("Operations","22#2253415");
C=B.fN("Trading Partners","22#2253421");
C=B.fN("Transactions","22#2253428");
C=B.fN("Initiator Machine","22#2581841");
C=B.fN("Responder Machine","22#2253490");
B=A.fN("Prerequisites","23");
B=A.fN("Configuring the Initiator","24");
C=B.fN("Importing Operations on the Initiator","24#2253613");
C=B.fN("Setting Up the Initiator Server","24#2374577");
C=B.fN("Setting Up the Initiator as a Trading Host","24#2253650");
C=B.fN("Setting Up the Responder as a Trading Partner","24#2253754");
C=B.fN("Configuring the Business Agreement between the Initiator and the Responder","24#2253802");
B=A.fN("Configuring the Responder","25");
C=B.fN("Importing Operations on the Responder","25#2253847");
C=B.fN("Setting Up the Responder Server","25#2377116");
C=B.fN("Setting Up the Responder as a Trading Host","25#2253871");
C=B.fN("Setting Up the Initiator as a Trading Partner","25#2377661");
C=B.fN("Configuring the Business Agreements between the Initiator and the Responder","25#2254032");
B=A.fN("Running the Tutorial","26");
C=B.fN("Running the Standalone Private Processes","26#2598533");
C=B.fN("Viewing the Audit Logs","26#2254327");
A=P.fN("Chapter\u00a04 TIBCO ActiveMatrix BusinessWorks Private Processes Tutorial","27");
B=A.fN("Overview","28");
C=B.fN("The TIBCO ActiveMatrix BusinessWorks Project Tutorial","28#2586535");
C=B.fN("Transactions","28#2254550");
B=A.fN("Setting Up the Tutorial","29");
C=B.fN("Prerequisites","29#2291605");
C=B.fN("Configuring the Machines","29#2291619");
B=A.fN("Configuring TIBCO ActiveMatrix BusinessWorks Private Processes","30");
C=B.fN("Configuring Private Processes in TIBCO Designer","30#2587566");
C=B.fN("Configuring Private Processes in TIBCO Business Studio","30#2592378");
B=A.fN("Introduction of Process Definitions","31");
C=B.fN("Introducing Initiator Process Definitions","31#2657828");
C=B.fN("Introducing Responder Process Definitions","31#2552019");
C=B.fN("Introducing NHIN/esMD Process Definitions","31#2658994");
B=A.fN("Running the Tutorial","32");
C=B.fN("Running the TIBCO ActiveMatrix BusinessWorks Processes","32#2255080");
C=B.fN("Viewing the Audit Logs","32#2255124");
A=P.fN("Chapter\u00a05 Preparing Information with Your Trading Partners","33");
B=A.fN("Reaching Agreement on Shared Business Documents","34");
B=A.fN("Exchanging URI Definitions","35");
B=A.fN("Exchanging Identity Information","36");
A=P.fN("Chapter\u00a06 Managing SOAP Operations","37");
B=A.fN("Overview","38");
B=A.fN("Creating a SOAP Interface","39");
B=A.fN("Adding a Version to an Interface","40");
B=A.fN("Adding an Operation to a Version","41");
B=A.fN("SOAP Operation Properties","42");
C=B.fN("Notify Operation","42#2351811");
C=B.fN("Synchronous Request-Response Operation","42#2553238");
B=A.fN("Importing SOAP Interfaces","43");
B=A.fN("Exporting SOAP Interfaces","44");
B=A.fN("Modifying SOAP Operations","45");
C=B.fN("Modifying the Notify Operation","45#2290344");
C=B.fN("Modifying the Sync Operation","45#2290389");
A=P.fN("Chapter\u00a07 Setting Up Trading Hosts and Partners","46");
B=A.fN("Configuring the SOAP Protocol for a Host","47");
C=B.fN("Adding a Domain Identity for a Host","47#2256328");
C=B.fN("Adding a Domain Identity for a Host","47#2256328");
B=A.fN("Configuring the SOAP Protocol for a Partner","48");
C=B.fN("Configuring General Properties for a Partner","48#2256379");
C=B.fN("Configuring Transports for a Partner","48#2406229");
A=P.fN("Chapter\u00a08 Configuring Business Agreements","49");
B=A.fN("Configuring SOAP Agreement Protocol Binding","50");
B=A.fN("Operation Bindings Tab","51");
C=B.fN("Editing an Operation Binding for the Host","51#2473982");
C=B.fN("Editing an Operation Binding for the Partner","51#2256611");
B=A.fN("Document Security Tab","52");
B=A.fN("Transports Tab","53");
B=A.fN("Overriding Participant Settings","54");
C=B.fN("Overriding Settings for the Host","54#2256757");
C=B.fN("Overriding Settings for the Partner","54#2269631");
A=P.fN("Chapter\u00a09 Viewing Logs","55");
B=A.fN("Overview","56");
C=B.fN("Accessing Logs","56#2256807");
B=A.fN("Audit Logs","57");
C=B.fN("Configuring an Audit Log for SOAP","57#2278677");
C=B.fN("Audit Log Views","57#2607424");
B=A.fN("Non-Repudiation Logs","58");
C=B.fN("Configuring a Non-Repudiation Log for SOAP","58#2422881");
B=A.fN("Resend Logs","59");
C=B.fN("Resendable Transactions","59#2277904");
C=B.fN("Resend History","59#2278036");
A=P.fN("Chapter\u00a010 Advanced Topics","60");
B=A.fN("TIBCO-Specific Header: PartyInfo","61");
B=A.fN("Trading with a Third-Party SOAP Implementation","62");
C=B.fN("Receiving SOAP Messages without TIBCO BusinessConnect-Specific Headers","62#2555831");
C=B.fN("Sending SOAP Messages without TIBCO BusinessConnect-Specific Headers","62#2555746");
B=A.fN("Using the Passthrough Feature","63");
B=A.fN("TIBCO BusinessConnect SOAP Protocol Public Messages","64");
C=B.fN("SOAP Header","64#2431703");
C=B.fN("SOAP Body","64#2429749");
B=A.fN("SOAP Message with a TIBCO BusinessConnect-Specific Header","65");
B=A.fN("SOAP Envelope Attributes and Namespaces","66");
C=B.fN("Envelope Attributes and Namespaces Example","66#2257457");
A=P.fN("Chapter\u00a011 Private Messages","67");
B=A.fN("Overview","68");
B=A.fN("Initiator Messages","69");
C=B.fN("Initiator Outbound Request \u2014 Private Process to BusinessConnect","69#2257593");
C=B.fN("Initiator Inbound Response \u2014 BusinessConnect to Private Process","69#2257805");
B=A.fN("Responder Messages","70");
C=B.fN("Responder Inbound Request \u2014 BusinessConnect to Private Process","70#2257983");
C=B.fN("Responder Outbound Response \u2014 Private Process to BusinessConnect","70#2258182");
C=B.fN("Responder Acknowledgement \u2014 BusinessConnect to Private Process","70#2258361");
B=A.fN("Advisory Message","71");
B=A.fN("Attachment","72");
C=B.fN("Determining the Content Type of an Attachment","72#2545960");
C=B.fN("Outbound Attachments","72#2624107");
C=B.fN("Inbound Attachments","72#2624006");
C=B.fN("Preserving the SOAP 5.0 Attachment Functionality","72#2624183");
B=A.fN("Attachment Type","73");
B=A.fN("TradingPartner Type","74");
B=A.fN("Attributes","75");
B=A.fN("SOAPFault","76");
B=A.fN("WS-Addressing","77");
B=A.fN("XOP","78");
B=A.fN("AuthenticationToken","79");
A=P.fN("Appendix\u00a0A Status Codes","80");
B=A.fN("statusCode and statusMsg Field Reference","81");
A=P.fN("Appendix\u00a0B Schema Validation","82");
B=A.fN("Overview","83");
B=A.fN("Schema Validation Errors","84");
A=P.fN("Appendix\u00a0C TIBCO BusinessConnect SOAP Protocol WSDL Tool","85");
B=A.fN("Overview","86");
B=A.fN("WSDL Import","87");
B=A.fN("WSDL Export","88");
A=P.fN("Index","89");
}
